<div class="text-center mt-4">
    <h4><b>热门问题</b></h4>
</div>
<!-- 
片段名称：  显示热门问题
作者:	    qhy
时间：	    2020-8-4
功能：	   显示热门问题，根据热度顺序显示，并根据会显示所属板块，点击可以浏览详情
修改记录： 
--> 
<!-- 列表循环 -->
<div class="row ml-5">
    {% for question in questions %}
        <!-- 文章内容 -->
        <div class="col-12">
            <!-- 栏目 -->
            {% if question.column %}
            <a href=
            {% if question.column.title == '生活' %}
                "/blocks/blocks-list-life/"
            {% elif question.column.title == '学习' %}
                "/blocks/blocks-list-study/"
            {% elif question.column.title == '交友' %}
                "/blocks/blocks-list-friend/"
            {% endif %}>
                <button type="button"
                    class="btn btn-sm mb-2
                        {% if question.column.title == '生活' %}
                            btn-warning
                        {% elif question.column.title == '学习' %}
                            btn-danger
                        {% elif question.column.title == '交友' %}
                            btn-success
                        {% endif %}
                    "
                >
                    {{ question.column }}
                </button>
            </a>
            {% endif %}
            <!-- 标题 -->
            <h4>
                <b>
                    <a href="{% url 'question:question_detail' question.id %}"
                       style="color: black;"
                    >
                        {{ question.title }}
                    </a>
                </b>
            </h4>
            <!-- 摘要 -->
            <div>
                <p style="color: gray;">
                    {{ question.description|slice:'100' }}...
                </p>
            </div>
            <!-- 注脚 -->
            <p>
                <!-- 附加信息 -->
                <span>
                    <i class="fas fa-user" style="color:yellowgreen"></i>
                    {{ question.author }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:gray;"></i>
                    {{ question.created|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:pink;"></i>
                    {{ question.updated|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-eye" style="color:blueviolet;"></i>
                    {{ question.total_views }}
                </span>
            </p>
            <hr>
        </div>
    {% endfor %}
</div>
<!-- 
片段名称：  显示热门文章
作者:	    qhy
时间：	    2020-8-4
功能：	   显示热门文章，根据热度顺序显示，并根据会显示所属板块，点击可以浏览详情
修改记录： 
--> 
<div class="text-center mt-4">
    <h4><b>热门文章</b></h4>
</div>

<!-- 列表循环 -->
<div class="row ml-5">
    {% for article in articles %}
        <!-- 文章内容 -->
        <div class="col-12">
            <!-- 栏目 -->
            {% if article.column %}
            <a href=
            {% if article.column.title == '生活' %}
                "/blocks/blocks-list-life/"
            {% elif article.column.title == '学习' %}
                "/blocks/blocks-list-study/"
            {% elif article.column.title == '交友' %}
                "/blocks/blocks-list-friend/"
            {% endif %}>
                <button type="button"
                    class="btn btn-sm mb-2
                        {% if article.column.title == '生活' %}
                            btn-warning
                        {% elif article.column.title == '学习' %}
                            btn-danger
                        {% elif article.column.title == '交友' %}
                            btn-success
                        {% endif %}
                    "
                >
                    {{ article.column }}
                </button>
            </a>
            {% endif %}
            <!-- 标题 -->
            <h4>
                <b>
                    <a href="{% url 'article:article_detail' article.id %}"
                       style="color: black;"
                    >
                        {{ article.title }}
                    </a>
                </b>
            </h4>
            <!-- 摘要 -->
            <div>
                <p style="color: gray;">
                    {{ article.body|slice:'100' }}...
                </p>
            </div>
            <!-- 注脚 -->
            <p>
                <!-- 附加信息 -->
                <span>
                    <i class="fas fa-user" style="color:yellowgreen"></i>
                    {{ article.author }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:gray;"></i>
                    {{ article.created|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:pink;"></i>
                    {{ article.updated|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-eye" style="color:blueviolet;"></i>
                    {{ article.total_views }}
                </span>
            </p>
            <hr>
        </div>
    {% endfor %}
</div>